org.mariadb.jdbc.internal.osgi

## Class MariaDbDataSourceFactory

- java.lang.Object
- - org.mariadb.jdbc.internal.osgi.MariaDbDataSourceFactory

All Implemented Interfaces:
  org.osgi.service.jdbc.DataSourceFactory

    public class MariaDbDataSourceFactory
    extends Object
    implements org.osgi.service.jdbc.DataSourceFactory

### Field Summary

### Fields inherited from interface org.osgi.service.jdbc.DataSourceFactory

`JDBC_DATABASE_NAME, JDBC_DATASOURCE_NAME, JDBC_DESCRIPTION, JDBC_INITIAL_POOL_SIZE, JDBC_MAX_IDLE_TIME, JDBC_MAX_POOL_SIZE, JDBC_MAX_STATEMENTS, JDBC_MIN_POOL_SIZE, JDBC_NETWORK_PROTOCOL, JDBC_PASSWORD, JDBC_PORT_NUMBER, JDBC_PROPERTY_CYCLE, JDBC_ROLE_NAME, JDBC_SERVER_NAME, JDBC_URL, JDBC_USER, OSGI_JDBC_DRIVER_CLASS, OSGI_JDBC_DRIVER_NAME, OSGI_JDBC_DRIVER_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`MariaDbDataSourceFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionPoolDataSource` `createConnectionPoolDataSource(Properties props)`
`DataSource` `createDataSource(Properties props)`
`Driver` `createDriver(Properties props)`
`XADataSource` `createXADataSource(Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MariaDbDataSourceFactory

    public MariaDbDataSourceFactory()

### Method Detail

#### createDataSource

    public DataSource createDataSource(Properties props)
                                throws SQLException

Specified by:
  `createDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `SQLException`

#### createConnectionPoolDataSource

    public ConnectionPoolDataSource createConnectionPoolDataSource(Properties props)
                                                            throws SQLException

Specified by:
  `createConnectionPoolDataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `SQLException`

#### createXADataSource

    public XADataSource createXADataSource(Properties props)
                                    throws SQLException

Specified by:
  `createXADataSource` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `SQLException`

#### createDriver

    public Driver createDriver(Properties props)
                        throws SQLException

Specified by:
  `createDriver` in interface `org.osgi.service.jdbc.DataSourceFactory`
Throws:
  `SQLException`